package org.bench4q.share.models.master.statistics;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class ScriptPageBriefModel extends SampleModel {
	private long countFromBegin;
	private long maxResponseTimeFromBegin;
	private long minResponseTimeFromBegin;
	private long averageResponseTimeThisTime;
	private long latestResponseTime;
	private long throughputThisTime;
	public long totalResponseTimeThisTime;

	@XmlElement
	public long getCountFromBegin() {
		return countFromBegin;
	}

	public void setCountFromBegin(long countFromBegin) {
		this.countFromBegin = countFromBegin;
	}

	@XmlElement
	public long getMaxResponseTimeFromBegin() {
		return maxResponseTimeFromBegin;
	}

	public void setMaxResponseTimeFromBegin(long maxResponseTimeFromBegin) {
		this.maxResponseTimeFromBegin = maxResponseTimeFromBegin;
	}

	@XmlElement
	public long getMinResponseTimeFromBegin() {
		return minResponseTimeFromBegin;
	}

	public void setMinResponseTimeFromBegin(long minResponseTimeFromBegin) {
		this.minResponseTimeFromBegin = minResponseTimeFromBegin;
	}

	@XmlElement
	public long getAverageResponseTimeThisTime() {
		return averageResponseTimeThisTime;
	}

	public void setAverageResponseTimeThisTime(long averageResponseTimeThisTime) {
		this.averageResponseTimeThisTime = averageResponseTimeThisTime;
	}

	@XmlElement
	public long getLatestResponseTime() {
		return latestResponseTime;
	}

	public void setLatestResponseTime(long latestResponseTime) {
		this.latestResponseTime = latestResponseTime;
	}

	@XmlElement
	public long getThroughputThisTime() {
		return throughputThisTime;
	}

	public void setThroughputThisTime(long throughputThisTime) {
		this.throughputThisTime = throughputThisTime;
	}

	public static ScriptPageBriefModel buildInitialModel() {
		ScriptPageBriefModel scriptPageBriefModel = new ScriptPageBriefModel();
		scriptPageBriefModel.setMaxResponseTimeFromBegin(Long.MIN_VALUE);
		scriptPageBriefModel.setMinResponseTimeFromBegin(Long.MAX_VALUE);
		return scriptPageBriefModel;
	}

}
